<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>group.springframework</groupId>
		<artifactId>spring-cloud-dependencies-parent</artifactId>
		<version>2020.0.3</version>
		<relativePath/>
	</parent>

	<groupId>com.lutao</groupId>
	<artifactId>cloud-common-bom</artifactId>
	<packaging>pom</packaging>
	<version>1.0.0</version>
	<description>公共版本控制</description>

	<properties>
		<cloud.version>1.0.0</cloud.version>
		<mybatis-plus.version>3.4.3</mybatis-plus.version>
		<dynamic-ds.version>3.4.1</dynamic-ds.version>
		<druid.version>1.2.8</druid.version>
		<mysql.connector.version>8.0.27</mysql.connector.version>
		<swagger.core.version>1.5.22</swagger.core.version>
		<mp.weixin.version>3.9.0</mp.weixin.version>
		<ijpay.version>2.7.6</ijpay.version>
		<groovy.version>3.0.3</groovy.version>
		<jsoup.version>1.13.1</jsoup.version>
		<excel.version>0.5.0</excel.version>
		<security.oauth.version>2.3.6.RELEASE</security.oauth.version>
	<!--	<fastjson.version>1.2.75</fastjson.version>-->
		<fastjson.version>2.0.8</fastjson.version>
		<xxl.job.version>2.2.0</xxl.job.version>
		<aliyun.version>3.0.52.ALL</aliyun.version>
		<aws.version>1.11.543</aws.version>
		<javaformat.plugin.version>0.0.23</javaformat.plugin.version>
		<docker.plugin.version>0.33.0</docker.plugin.version>
		<cloud.plugin.version>1.0.0</cloud.plugin.version>
		<simpleclient.version>0.12.0</simpleclient.version>
		<nacos.client.version>2.0.3</nacos.client.version>
		<tio.version>3.7.5.v20211028-RELEASE</tio.version>
	</properties>

	<dependencyManagement>
		<dependencies>

			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-core</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-data</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-gateway</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-gray</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-datasource</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-job</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-live-api</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-message-api</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-workflow-api</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-storage-api</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-log</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-security</artifactId>
				<version>${cloud.version}</version>
			</dependency>
<!--			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-sentinel</artifactId>
				<version>${cloud.version}</version>
			</dependency>-->
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-feign</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-sequence</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-swagger</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-transaction</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-test</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-xss</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-upms-api</artifactId>
				<version>${cloud.version}</version>
			</dependency>
			<dependency>
				<groupId>com.lutao</groupId>
				<artifactId>cloud-common-excel</artifactId>
				<version>${cloud.version}</version>
			</dependency>


			<!--mybatis plus extension,包含了mybatis plus core-->
			<dependency>
				<groupId>com.baomidou</groupId>
				<artifactId>mybatis-plus-extension</artifactId>
				<version>${mybatis-plus.version}</version>
			</dependency>
			<!--mybatis-->
			<dependency>
				<groupId>com.baomidou</groupId>
				<artifactId>mybatis-plus-boot-starter</artifactId>
				<version>${mybatis-plus.version}</version>
			</dependency>
			<dependency>
				<groupId>com.baomidou</groupId>
				<artifactId>dynamic-datasource-spring-boot-starter</artifactId>
				<version>${dynamic-ds.version}</version>
			</dependency>
			<!-- druid 连接池 -->
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>druid-spring-boot-starter</artifactId>
				<version>${druid.version}</version>
			</dependency>
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>druid</artifactId>
				<version>${druid.version}</version>
			</dependency>
			<!--mysql 驱动-->
			<dependency>
				<groupId>mysql</groupId>
				<artifactId>mysql-connector-java</artifactId>
				<version>${mysql.connector.version}</version>
			</dependency>
			<!--fastjson-->
<!--			<dependency>-->
<!--				<groupId>com.alibaba</groupId>-->
<!--				<artifactId>fastjson</artifactId>-->
<!--				<version>${fastjson.version}</version>-->
<!--			</dependency>-->
			<!--swagger 最新依赖内置版本-->
			<dependency>
				<groupId>io.swagger</groupId>
				<artifactId>swagger-models</artifactId>
				<version>${swagger.core.version}</version>
			</dependency>
			<dependency>
				<groupId>io.swagger</groupId>
				<artifactId>swagger-annotations</artifactId>
				<version>${swagger.core.version}</version>
			</dependency>
			<!--微信依赖-->
			<dependency>
				<groupId>com.github.binarywang</groupId>
				<artifactId>weixin-java-mp</artifactId>
				<version>${mp.weixin.version}</version>
			</dependency>
			<dependency>
				<groupId>com.github.binarywang</groupId>
				<artifactId>weixin-java-common</artifactId>
				<version>${mp.weixin.version}</version>
			</dependency>
			<!--支付相关SDK-->
			<dependency>
				<groupId>com.github.javen205</groupId>
				<artifactId>IJPay-WxPay</artifactId>
				<version>${ijpay.version}</version>
			</dependency>
			<dependency>
				<groupId>com.github.javen205</groupId>
				<artifactId>IJPay-AliPay</artifactId>
				<version>${ijpay.version}</version>
			</dependency>
			<!--定义groovy 版本-->
			<dependency>
				<groupId>org.codehaus.groovy</groupId>
				<artifactId>groovy</artifactId>
				<version>${groovy.version}</version>
			</dependency>
			<!--稳定版本，替代spring security bom内置-->
			<dependency>
				<groupId>org.springframework.security.oauth</groupId>
				<artifactId>spring-security-oauth2</artifactId>
				<version>${security.oauth.version}</version>
			</dependency>
			<!--jsoup html 解析组件-->
			<dependency>
				<groupId>org.jsoup</groupId>
				<artifactId>jsoup</artifactId>
				<version>${jsoup.version}</version>
			</dependency>

			<dependency>
				<groupId>io.prometheus</groupId>
				<artifactId>simpleclient</artifactId>
				<version>${simpleclient.version}</version>
			</dependency>
			<dependency>
				<groupId>com.alibaba.nacos</groupId>
				<artifactId>nacos-client</artifactId>
				<version>${nacos.client.version}</version>
			</dependency>
			<dependency>
				<groupId>org.t-io</groupId>
				<artifactId>tio-core</artifactId>
				<version>${tio.version}</version>
			</dependency>

			<dependency>
				<groupId>org.t-io</groupId>
				<artifactId>tio-websocket-server</artifactId>
				<version>${tio.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>

<!--	<pluginRepositories>-->
<!--		<pluginRepository>-->
<!--			<id>aliyun-plugin</id>-->
<!--			<url>https://maven.aliyun.com/repository/public</url>-->
<!--			<releases>-->
<!--				<enabled>true</enabled>-->
<!--			</releases>-->
<!--			<snapshots>-->
<!--				<enabled>false</enabled>-->
<!--			</snapshots>-->
<!--		</pluginRepository>-->
<!--	</pluginRepositories>-->
</project>
